unit Aurelius.Plugin.Types;

interface

uses
  SysUtils;

type
  EAureliusPluginException = class(Exception);
  EAureliusPluginUnexpectedException = class(Exception);

  IASPluginStatement = interface
  ['{F5760A50-C40F-48EA-BB9D-15A5C2906A1A}']
    function GetEOF: Boolean;
    function FieldAsString(const AFieldName: WideString): WideString;
    function FieldAsInteger(const AFieldName: WideString): integer;
    function FieldAsBoolean(const AFieldName: WideString): boolean;
    procedure Next;
    procedure Open(const SQL: WideString);
    procedure Execute(const SQL: WideString);
  end;

  IASPluginConnection = interface
  ['{EB37AFAA-6A0D-4D91-85CD-3F1ACB605D5E}']
    function CreateStatement: IASPluginStatement;
  end;

implementation

end.
